{
    "scan": {
        "analyzer-version-clang": "18.1.7",
        "analyzer-version-cppcheck": "2.14.2",
        "analyzer-version-gcc": "14.1.1",
        "analyzer-version-gcc-analyzer": "14.1.1",
        "analyzer-version-shellcheck": "0.10.0",
        "enabled-plugins": "clang, cppcheck, gcc, shellcheck",
        "exit-code": 0,
        "host": "ip-172-16-1-208.us-west-2.compute.internal",
        "mock-config": "fedora-41-x86_64",
        "project-name": "python-xkbregistry-0.3-2.fc41",
        "store-results-to": "/tmp/tmppqkm824s/python-xkbregistry-0.3-2.fc41.tar.xz",
        "time-created": "2024-07-03 17:35:40",
        "time-finished": "2024-07-03 17:36:34",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-41-x86_64' '-t' 'cppcheck,gcc,clang,shellcheck' '-o' '/tmp/tmppqkm824s/python-xkbregistry-0.3-2.fc41.tar.xz' '--gcc-analyze' '/tmp/tmppqkm824s/python-xkbregistry-0.3-2.fc41.src.rpm'",
        "tool-version": "csmock-3.5.3-1.el9"
    },
    "defects": [
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "9895ea51b63c01ba0d2cc58d92373b9ef07eb39a",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 876,
                    "column": 5,
                    "event": "warning[unix.Malloc]",
                    "message": "Memory allocated by alloca() should not be deallocated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 867,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'datasize' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 867,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 868,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'datasize' is <= 640",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 868,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 869,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 869,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 876,
                    "column": 5,
                    "event": "note",
                    "message": "Memory allocated by alloca() should not be deallocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  874|     Py_BEGIN_ALLOW_THREADS",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  875|     _cffi_restore_errno();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  876|->   { free(x0); }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  877|     _cffi_save_errno();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  878|     Py_END_ALLOW_THREADS",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "4c36fbe43bd5f2f5608a9469652797530d9ae46d",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 881,
                    "column": 32,
                    "event": "warning[unix.Malloc]",
                    "message": "Use of memory after it is freed",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 867,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'datasize' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 867,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 868,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'datasize' is > 640",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 868,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 869,
                    "column": 9,
                    "event": "note",
                    "message": "Calling '_cffi_convert_array_argument'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 503,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'datasize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 503,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 507,
                    "column": 9,
                    "event": "note",
                    "message": "'p' is equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 507,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 510,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'fp' is not equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 510,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 869,
                    "column": 9,
                    "event": "note",
                    "message": "Returning from '_cffi_convert_array_argument'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 869,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 869,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 876,
                    "column": 5,
                    "event": "note",
                    "message": "Memory is released",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 881,
                    "column": 7,
                    "event": "note",
                    "message": "'large_args_free' is not equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 881,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/build/temp.linux-x86_64-cpython-313/xkbregistry._ffi.c",
                    "line": 881,
                    "column": 32,
                    "event": "note",
                    "message": "Use of memory after it is freed",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  879|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  880|     (void)self; /* unused */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  881|->   if (large_args_free != NULL) _cffi_free_array_arguments(large_args_free);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  882|     Py_INCREF(Py_None);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  883|     return Py_None;",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "49b765ab0c12803ee2e2f6c76be7f6e0ba754e5b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 876,
                    "column": 5,
                    "event": "warning[unix.Malloc]",
                    "message": "Memory allocated by alloca() should not be deallocated",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 867,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'datasize' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 867,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 868,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'datasize' is <= 640",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 868,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is true",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 869,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 869,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 876,
                    "column": 5,
                    "event": "note",
                    "message": "Memory allocated by alloca() should not be deallocated",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  874|     Py_BEGIN_ALLOW_THREADS",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  875|     _cffi_restore_errno();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  876|->   { free(x0); }",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  877|     _cffi_save_errno();",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  878|     Py_END_ALLOW_THREADS",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "hash_v1": "d51590faf53fcd5fe66c060be225f9632ccc6829",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 881,
                    "column": 32,
                    "event": "warning[unix.Malloc]",
                    "message": "Use of memory after it is freed",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 867,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming 'datasize' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 867,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 868,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'datasize' is > 640",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 868,
                    "column": 10,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 869,
                    "column": 9,
                    "event": "note",
                    "message": "Calling '_cffi_convert_array_argument'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 503,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'datasize' is >= 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 503,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 507,
                    "column": 9,
                    "event": "note",
                    "message": "'p' is equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 507,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 510,
                    "column": 13,
                    "event": "note",
                    "message": "Assuming 'fp' is not equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 510,
                    "column": 9,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 869,
                    "column": 9,
                    "event": "note",
                    "message": "Returning from '_cffi_convert_array_argument'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 869,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 869,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 876,
                    "column": 5,
                    "event": "note",
                    "message": "Memory is released",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 881,
                    "column": 7,
                    "event": "note",
                    "message": "'large_args_free' is not equal to NULL",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 881,
                    "column": 3,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/python-xkbregistry-0.3-build/xkbregistry-0.3/xkbregistry/_ffi.c",
                    "line": 881,
                    "column": 32,
                    "event": "note",
                    "message": "Use of memory after it is freed",
                    "verbosity_level": 2
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  879|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  880|     (void)self; /* unused */",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  881|->   if (large_args_free != NULL) _cffi_free_array_arguments(large_args_free);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  882|     Py_INCREF(Py_None);",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": "  883|     return Py_None;",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
